# cPy - storage scope with playback implemented ob FSK0001
# Copyright by Anthony Vogelaar, Perth Scotland
# rev 0.10  2026-06-18  initial release

from	leds64_oscilloscope	import	Potm8, Oscilloscope64
from	logger_dict			import	Logger

# ===================== StorageScope =======================

class StorageScope:
    
    def __init__(self):
        self.potm = Potm8()
        self.osc64 = Oscilloscope64()
        self.logger = Logger(100, fn='logger.json')
        
        
    def acquire(self):
        ...
        
        
    def playBack(self):
        ...
        
        
scope = StorageScope()

# ========================= end ============================
